"""
This package, omnivault.dsa.searching_algorithms, implements various searching
algorithms following the Strategy Design Pattern. It includes a context class,
multiple search strategies, and a client interface for executing searches.

Modules:

- base.py: Defines base classes and common functionalities for searching
  algorithms.
- context.py: Contains the Context class that interacts with different search
  strategies.
- strategies.py: Implements various search strategies as per the Strategy Design
  Pattern.
- client.py: Demonstrates the usage of search strategies within a client
  application.
"""
